
QGIS Application - Feature request #3813

Allow 'make uninstall' w/out building or installing
Description

Current 'make uninstall' rule requires a full build and install in order to work. It'd be useful if you could uninstall w/out building or installing

first, in case you cleaned your build tree after installing...

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-12-03 02:27 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Hello, bug triage...

this is still true for QGIS 2.13 master !

When you use the instructions indicated in the INSTALL file and try to make uninstall just after ccmake .., you've got the following:

CMake Error at cmake_uninstall.cmake:2 (MESSAGE):

  Cannot find install manifest:

  "/home/medspx/projects/QGIS/QGIS/build-test/install_manifest.txt" 

So you can't make a build directory, configure CMake with ccmake and make uninstall without having made at least one make install. But it seems to be a 

CMake problem and not a QGIS one. Should we delete this bug or try to find a workaround ?

#5 - 2015-12-03 02:37 AM - Sandro Santilli

is there a target that builds install_manifest.txt, to make it a dependency of the "uninstall" target ?

#6 - 2017-05-01 12:50 AM - Giovanni Manghi
https://cmake.org/Wiki/RecipeAddUninstallTarget


- Easy fix? set to No
